# UserTicketLogService
> 工单日志服务

---

## countUserTicketLogs
> 查询日志数量

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/UserTicketLogService/countUserTicketLogs`
- RPC：`rpc countUserTicketLogs(CountUserTicketLogsRequest) returns (RPCCountResponse);`

**请求对象 (`CountUserTicketLogsRequest`)**

```json
{
  "userTicketId": "int64"
}
```

**响应对象 (`RPCCountResponse`)**

```json
{
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/UserTicketLogService/countUserTicketLogs" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## createUserTicketLog
> 创建日志

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/UserTicketLogService/createUserTicketLog`
- RPC：`rpc createUserTicketLog(CreateUserTicketLogRequest) returns (CreateUserTicketLogResponse);`

**请求对象 (`CreateUserTicketLogRequest`)**

```json
{
  "userTicketId": "int64",
  "status": "string",
  "comment": "string"
}
```

**响应对象 (`CreateUserTicketLogResponse`)**

```json
{
  "userTicketLogId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/UserTicketLogService/createUserTicketLog" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## deleteUserTicketLog
> 删除日志

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/UserTicketLogService/deleteUserTicketLog`
- RPC：`rpc deleteUserTicketLog(DeleteUserTicketLogRequest) returns (RPCSuccess);`

**请求对象 (`DeleteUserTicketLogRequest`)**

```json
{
  "userTicketLogId": "int64"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/UserTicketLogService/deleteUserTicketLog" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## listUserTicketLogs
> 列出单页日志

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/UserTicketLogService/listUserTicketLogs`
- RPC：`rpc listUserTicketLogs(ListUserTicketLogsRequest) returns (ListUserTicketLogsResponse);`

**请求对象 (`ListUserTicketLogsRequest`)**

```json
{
  "userTicketId": "int64",
  "offset": "int64 // 读取位置",
  "size": "int64 // 数量，通常不能小于0"
}
```

**响应对象 (`ListUserTicketLogsResponse`)**

```json
{
  "userTicketLogs": "[]UserTicketLog"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/UserTicketLogService/listUserTicketLogs" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
